Bug 831665 - 'journalctl' cuts long lines
'journalctl' cuts long lines
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 10:33 EDT by Enrico Scholz
Modified: 2013-04-12 18:47 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-12 18:47:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2012-06-13 10:33:41 EDT
Description of problem:

'journalctl' cuts long lines which removes a lot of information.  This is extremely annoying especially when piping through a pager where only the first 2 characters of a message are visible:

| # journalctl | less
| Jun 07 17:00:01 ensc-virt.intern.sigma-chemnitz.de /USR/SBIN/CROND[12130]: (r...

I know about '-a' but program should be useful without remembering lot of cli options. At least when output is not a tty, such a destructive formatting should be omitted.


Version-Release number of selected component (if applicable):

systemd-44-12.fc17.x86_64


How reproducible:

100%
Comment 1 Matthew Miller 2012-10-09 10:41:46 EDT
Note that this also affects grep.
Comment 2 Matthew Miller 2012-10-17 13:42:37 EDT
Also in systemd-194-1.fc18
Comment 3 Lennart Poettering 2012-10-20 19:11:26 EDT
Fixed in git, soon F18.
Comment 4 Fedora Update System 2012-10-22 21:03:33 EDT
systemd-195-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/systemd-195-1.fc18
Comment 5 Fedora Update System 2012-10-23 02:46:48 EDT
Package systemd-195-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-195-1.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16709/systemd-195-1.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-10-26 15:36:24 EDT
Package systemd-195-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-195-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16709/systemd-195-2.fc18
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-12-20 10:09:20 EST
systemd-195-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Nicola Soranzo 2012-12-20 10:45:55 EST
This bug was file for F17, where it is not fixed yet. Can you please submit an update also for F17 or close the bug as NEXTRELEASE. Thanks!
Comment 9 Michal Schmidt 2013-04-12 18:47:51 EDT
At this point not much effort will be spent on systemd in F17. Only fixes for severe bugs can be expected.

Note You need to log in before you can comment on or make changes to this bug.